#include <stdio.h>


int main (){
  
  scanf ("%u %u", &m, &n);
  
  if (m<0 || n<0 || m<n)
    printf("-1");
    return -1;
  else {
    
    for (i=1; sklj!=m; i++)
    {
      for (j=1; j!=n; j++)
	      
      
    }
    
    
    
  }
  
  
  
  
  
  return 0;
  
}